/* Lilygo T-Watch 2020 V1
 * ESP32 Wrover 16MB Flash, 8/4 MB PSRAM
 * by Markus Horbach
 * 09.09.2022
 */
#define myClock "11:50:50"
#define myWeekday "Mittwoch"
#define myDate "14.09.2022"
#include "Free_Fonts.h" // Include the header file attached to this sketch
 
#include "myTWatch2020V1_defines.h"
#include "myTWatch2020V1_commands.h"
#include "myTWatch2020V1_messages.h"

//#include <lvgl.h>
//#include <lv_demo.h>
//#include <lv_examples.h>
#include "SPI.h"
#include <TFT_eSPI.h>

  unsigned long drawTime = 0;
  TFT_eSPI tft = TFT_eSPI();
/*
static const uint16_t screenWidth  = 240;
static const uint16_t screenHeight = 240;

static lv_disp_draw_buf_t draw_buf;
static lv_color_t buf[ screenWidth * 10 ];
*/
 void tsk_TFT_ST7789V( void * optionalArgs ) {
  // setup task
  Serial.println(TWatch_MSG_TFT_Init);
  
  tft.begin();
  tft.setRotation(1);
  // loop task
  for (;;) {
  // Set text datum to middle centre
  tft.setTextDatum(MC_DATUM);

  // Set text colour to orange with black background
  tft.setTextColor(TFT_WHITE, TFT_BLACK);
  
  tft.fillScreen(TFT_BLACK);            // Clear screen
  tft.setFreeFont(FF18);                 // Select the font
  tft.drawString("Lilygo T-Watch 2020V1", 120, 10, GFXFF);
  tft.drawString(myClock, 120, 40, GFXFF);
  tft.drawString(myWeekday, 120, 70, GFXFF);
  tft.drawString(myDate, 120, 100, GFXFF);
  tft.drawString("Akku : charging", 120, 130, GFXFF);
  tft.drawString("USB : connected", 120, 160, GFXFF);
  tft.drawString("Gyro : x000 y000 z000", 120, 190, GFXFF);
  tft.drawString("Touch: x000 y000 ", 120, 220, GFXFF);
  delay(1000);
  }
}

 
